Distill Memories From Thread
Create memories from a conversation thread.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request for memory distillation from thread content.
Response Body
application/json
application/json
curl -X POST "https://example.com/memories/distill" \ -H "Content-Type: application/json" \ -d '{ "thread_id": "string" }'{ "memory": { "id": "string", "node_type": "Thread", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "content": "string", "title": "string", "importance": 0.5, "confidence": 0.5, "pagerank_score": 0, "embedding": [ 0 ], "source_range": { "property1": 0, "property2": 0 }, "source": "string", "space_id": "default", "semantic_field": "string", "reindex_needed": false, "last_reindexed_at": "2019-08-24T14:15:22Z", "last_accessed_at": "2019-08-24T14:15:22Z", "access_count": 0, "appearances": 0, "clicks": 0, "total_dwell_time_ms": 0, "last_clicked_at": "2019-08-24T14:15:22Z", "decay_score_cached": 1, "temporal_context": "timeless", "temporal_type": "string", "event_start": "string", "event_end": "string", "temporal_precision": "string", "temporal_confidence": 0, "unit_type": "fact", "is_latest": true, "version": 1, "is_crystal": false, "crystal_title": "string", "source_unit_count": 0, "extraction_method": "manual", "last_evaluated_at": "2019-08-24T14:15:22Z", "review_status": "" }, "extracted_entities": [ { "id": "string", "node_type": "Thread", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "metadata": {}, "name": "string", "entity_type": "string", "description": "string", "aliases": [ "string" ], "confidence": 0.5, "entity_created": "string", "entity_ended": "string", "temporal_precision": "string", "temporal_confidence": 0, "temporal_context": "string" } ], "assigned_labels": [ "string" ], "created_relationships": 0, "action": "created", "warnings": [ "string" ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}